function    checkForVolViewer(VO) %timeoutcell,handshakeHandle)
    handshakeHandle=get(VO,'handshakeHandle');
    if ~isempty(handshakeHandle)
        if iscell(handshakeHandle)
            handshakeHandle=handshakeHandle{1};
        end
        set(handshakeHandle,'BackgroundColor','r');
    end
    if ~handshakeVOL(VO)
        disp(sprintf('VolViewer failed to respond within %d seconds',VO.timeoutcell{1}))
    else
        if ~isempty(handshakeHandle)
            set(handshakeHandle,'BackgroundColor','g');
        end
        disp('VolViewer still responding');
    end
end